Subject: Re: [PATCH net-next] net: phy: add flag PHY_QUIRK_NO_ESTATEN

From: Andrew Lunn <[email-masked]>
Date: Tue, 4 Jun 2019 15:00:49 +0200

On Tue, Jun 04, 2019 at 08:10:50AM +0200, Heiner Kallweit wrote:
> We have a Xilinx GBit PHY that doesn't have BMSR_ESTATEN set
> (what violates the Clause 22 standard). Instead of having the PHY
> driver to implement almost identical copies of few generic functions
> let's add a flag for this quirk to phylib.

Hi Heiner

It is a bit of a personal preference, but i would prefer the Xilinx
driver worked around broken hardware, not scatter quirks in the core.
Keep the core clean.

If we had multiple PHYs broken in the same way, then maybe a quirk.

	Andrew